mediastreamer2 2.11.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_IceCheckList Struct Reference

`#include <ice.h>`

Collaboration diagram for _IceCheckList:
[legend]

## Data Fields
IceSession * | session
RtpSession * | rtp_session
char * | remote_ufrag
char * | remote_pwd
MSList * | stun_server_checks
MSList * | local_candidates
MSList * | remote_candidates
MSList * | pairs
MSList * | losing_pairs
MSList * | triggered_checks_queue
MSList * | check_list
MSList * | valid_list
MSList * | foundations
MSList * | local_componentIDs
MSList * | remote_componentIDs
MSList * | transaction_list
IceCheckListState | state
MSTimeSpec | ta_time
MSTimeSpec | keepalive_time
uint32_t | foundation_generator
bool_t | mismatch
bool_t | gathering_candidates
bool_t | gathering_finished
bool_t | nomination_delay_running
MSTimeSpec | gathering_start_time
MSTimeSpec | nomination_delay_start_time

## Detailed Description

Structure representing an ICE check list.

Each media stream must be assigned a check list. Check lists are added to an ICE session using the ice_session_add_check_list() function.

## Field Documentation

IceSession* _IceCheckList::session

Pointer to the ICE session

RtpSession* _IceCheckList::rtp_session

Pointer to the RTP session associated with this ICE check list

char* _IceCheckList::remote_ufrag

Remote username fragment for this check list (provided via SDP by the peer)

char* _IceCheckList::remote_pwd

Remote password for this check list (provided via SDP by the peer)

MSList* _IceCheckList::stun_server_checks

List of IceStunServerCheck structures

MSList* _IceCheckList::local_candidates

List of IceCandidate structures

MSList* _IceCheckList::remote_candidates

List of IceCandidate structures

MSList* _IceCheckList::pairs

List of IceCandidatePair structures

MSList* _IceCheckList::losing_pairs

List of IceCandidatePair structures

MSList* _IceCheckList::triggered_checks_queue

List of IceCandidatePair structures

MSList* _IceCheckList::check_list

List of IceCandidatePair structures

MSList* _IceCheckList::valid_list

List of IceValidCandidatePair structures

MSList* _IceCheckList::foundations

List of IcePairFoundation structures

MSList* _IceCheckList::local_componentIDs

List of uint16_t

MSList* _IceCheckList::remote_componentIDs

List of uint16_t

MSList* _IceCheckList::transaction_list

List of IceTransaction structures

IceCheckListState _IceCheckList::state

Global state of the ICE check list

MSTimeSpec _IceCheckList::ta_time

Time when the Ta timer has been processed for the last time

MSTimeSpec _IceCheckList::keepalive_time

Time when the last keepalive packet has been sent for this stream

uint32_t _IceCheckList::foundation_generator

Autoincremented integer to generate unique foundation values

bool_t _IceCheckList::mismatch

Boolean value telling whether there was a mismatch during the answer/offer process

bool_t _IceCheckList::gathering_candidates

Boolean value telling whether a candidate gathering process is running or not

bool_t _IceCheckList::gathering_finished

Boolean value telling whether the candidate gathering process has finished or not

bool_t _IceCheckList::nomination_delay_running

Boolean value telling whether the nomination process has been delayed or not

MSTimeSpec _IceCheckList::gathering_start_time

Time when the gathering process was started

MSTimeSpec _IceCheckList::nomination_delay_start_time

Time when the nomination process has been delayed

The documentation for this struct was generated from the following file:

- ice.h